FreeMat

- Main Page
- Related Pages

SEMILOGY Semilog Y Axis Plot Function

Section: Handle-Based Graphics

# Usage

This command has the exact same syntax as the `plot` command:

      semilogy(<data 1>,{linespec 1},<data 2>,{linespec 2}...,properties...)

in fact, it is a simple wrapper around `plot` that sets the y axis to have a logarithmic scale.

# Example

Here is an example of an exponential signal plotted first on a linear plot:

    --> x = linspace(0,2);
    --> y = 10.0.^x;
    --> plot(x,y,'r-');

and now with a logarithmic y axis

    --> semilogy(x,y,'r-');